Package org.eclipse.m2m.atl.emftvm

## Interface RuleElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `NamedElement`, `org.eclipse.emf.common.notify.Notifier`, `TypedElement`

All Known Subinterfaces:
  `InputRuleElement`, `OutputRuleElement`

All Known Implementing Classes:
  `InputRuleElementImpl`, `OutputRuleElementImpl`, `RuleElementImpl`

    public interface RuleElement
    extends TypedElement

A representation of the model object 'Rule Element'.

See Also:
  `EmftvmPackage.getRuleElement()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<Model>` `getEModels()` Returns the value of the 'EModels' reference list.
`org.eclipse.emf.common.util.EList<java.lang.String>` `getModels()` Returns the value of the 'Models' attribute list.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Method Detail

#### getModels

    org.eclipse.emf.common.util.EList<java.lang.String> getModels()

Returns the value of the 'Models' attribute list. The list contents are of type `String`.

If the meaning of the 'Models' attribute list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Models' attribute list.
See Also:
  `EmftvmPackage.getRuleElement_Models()`

#### getEModels

    org.eclipse.emf.common.util.EList<Model> getEModels()

Returns the value of the 'EModels' reference list. The list contents are of type `Model`.

If the meaning of the 'EModels' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'EModels' reference list.
See Also:
  `EmftvmPackage.getRuleElement_EModels()`